#-*- coding:utf-8 -*-

from google.appengine.ext import db
import datetime

# 書き込みの DB 上のデータを定義する


class Entry(db.Model):
    ''' DB のモデルを定義 '''

    name = db.StringProperty(required=True)
    title = db.StringProperty(required=True)
    body = db.StringProperty(required=True)
    date = db.DateTimeProperty(required=True)



def addEntry(name, title, body):
    ''' 書き込みを保存する '''

    # インスタンスを生成
    entry = Entry(name = name,
                  title = title,
                  body = body,
                  date = datetime.datetime.now())

    # DB に保存する
    entry.put()
    


def getEntries(num=10, start=0):
    ''' 書き込みを取得する '''

    # 全てのデータに対するクエリを生成
    q = Entry.all()

    # date が降順になるように並べ替える
    q.order('-date')

    # start 番目から num 個のエントリを取得
    return q.fetch(num, start)

